{{- define "library.service" -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ .Chart.Name }}
  labels:
    {{- include "library.labels" . | nindent 4 }}
spec:
  {{- if .Values.service }}
  type: {{ .Values.service.type | default "ClusterIP" }}
  {{- else }}
  type: ClusterIP
  {{- end }}
  ports:
    - port: {{ ((.Values.service).port) | default 80 }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "library.selectorLabels" . | nindent 4 }}
{{- end -}}